Type to search.

Update a filter

Auth The Elastic Stack includes Elastic's core products such as Elasticsearch, Kibana, Logstash, and Beats. Availability Generally available since 6.4 This functionality is generally available and ready for production usage. Unless stated otherwise on the page, this functionality is available when your Elastic Stack is deployed on Elastic Cloud Hosted, Elastic Cloud Enterprise, Elastic Cloud on Kubernetes, and self-managed environments. This documentation corresponds to the latest patch available for each minor version. If you're not using the latest patch, check the release notes for changes.

Updates the description of a filter, adds items, or removes items from the list.

Required privileges

Cluster privileges manage_ml

Path parameters

filter_id string required

A string that uniquely identifies a filter.

Request body

add_items string[]

The items to add to the filter.

description string

A description for the filter.

remove_items string[]

The items to remove from the filter.

Response

application/json
description string required
filter_id string required
items string[] required